/*
用户信息模型
* */
import 'JXServiceModel.dart';

class JXMemberModel {
  int id = -1;
  /*姓名*/
  String name = '';

  /*电话*/
  String tel  = '';

  /*生日信息*/
  String birth  = '';

  /*地址*/
  String prov = '';
  String city = '';
  String area = '';
  String addr = '';

  /*其他*/
  String remark = '';

  /*服务*/
  List <JXServiceModel> services = [];

  Map<String, dynamic> toMap() {
    return {
      'name': name,
      'tel': tel,
      'birth': birth,
      'prov': prov,
      'city': city,
      'area': area,
      'addr': addr,
      'remark': remark,
    };
  }

  /*获取显示tips*/
  String theFirstTipsDes() {
    if (this.services.length > 0) {
      JXServiceModel ser = this.services[0];
      return '${ser.kind} ${ser.remark}';
    } else {
      return '无任务';
    }
  }
}
